summaryrefslogtreecommitdiff
path: root/pyraf/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pyraf/build.sh')
-rw-r--r--pyraf/build.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/pyraf/build.sh b/pyraf/build.sh
index 10954df..4b1dd33 100644
--- a/pyraf/build.sh
+++ b/pyraf/build.sh
@@ -1,3 +1,11 @@
+if [[ `uname -s` == "Darwin" ]]; then
+ export CFLAGS="-I/opt/X11/include"
+ export LDFLAGS="-L/opt/X11/lib"
+fi
+if [[ $PY3K > 0 ]]; then
+set +e
+ 2to3 -w --fix=print,except,numliterals .
+fi
-python setup.py install || exit 1 \ No newline at end of file
+python setup.py install || exit 1